package com.plannaplan.controllers;

import java.util.List;

import com.plannaplan.entities.Course;
import com.plannaplan.services.CourseService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.GetMapping;

@RestController
@CrossOrigin
public class CoursesController {
    @Autowired
    private CourseService courseService;

    @GetMapping("/getCourses")
    public ResponseEntity<List<Course>> getMethodName() {
        return new ResponseEntity<>(this.courseService.getAllCourses(), HttpStatus.OK);
    }

}